summaryrefslogtreecommitdiffstats
path: root/pike/vagrant/setup_compute.sh
diff options
context:
space:
mode:
authorHaibin Huang <haibin.huang@intel.com>2019-09-03 10:27:42 +0800
committersonggongjun <gongjun.song@intel.com>2019-09-03 15:34:49 +0800
commit65c7c6a5801df1c118a87f8741bc06b67dfaa919 (patch)
tree3618a87fc4c530df146dcc71a193aa0032bb2a93 /pike/vagrant/setup_compute.sh
parentce4644f69838660c02afba6f6393e9705cddee40 (diff)
Merge onap and openstack_pike.
Issue-ID: MULTICLOUD-798 Signed-off-by: songgongjun <gongjun.song@intel.com> Change-Id: I13fe7461c0d9c173970b080cdd2cb73dbae930b0
Diffstat (limited to 'pike/vagrant/setup_compute.sh')
-rw-r--r--pike/vagrant/setup_compute.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/pike/vagrant/setup_compute.sh b/pike/vagrant/setup_compute.sh
new file mode 100644
index 00000000..3fa0bc8f
--- /dev/null
+++ b/pike/vagrant/setup_compute.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -e
+
+cd devstack
+cp /vagrant/compute.conf local.conf
+ip=$(ip a s eth1 | grep inet | grep -v inet6 | sed "s/.*inet //" | cut -f1 -d'/')
+host=$(hostname)
+sed -i -e "s/HOSTIP/$ip/" -e "s/HOSTNAME/$host/" local.conf
+./stack.sh